Summary:    GUI to join MSVSphere host to domain
Name:       join-to-domain
Version:    0.6.6
Release:    1%{?dist}

License:    GPLv2+
URL:        https://redos.red-soft.ru/

Source0:    join-to-domain.sh
Source1:    ru.msvsphere.join-to-domain.policy
Source2:    form-join-to-domain.py
Source3:    join-to-domain.desktop

Requires:   %{name}-cli = %{version}-%{release}
Requires:   yad

BuildArch:  noarch

%description
GUI for join MSVSphere host to domain.

%package cli
Summary: CLI to join MSVSphere host to domain

Requires:   adcli
Requires:   krb5-workstation
Requires:   oddjob
Requires:   oddjob-mkhomedir
Requires:   polkit
Requires:   realmd
Requires:   samba-common
Requires:   samba-common-tools
Requires:   sssd

BuildArch:  noarch

%description cli
CLI for join MSVSphere host to domain.

%prep

%build
# Nothing to build

%install
install -d %{buildroot}%{_bindir}/
install -d %{buildroot}%{_datadir}/polkit-1/actions/
install -d %{buildroot}%{_datadir}/join-to-domain/
install -d %{buildroot}%{_datadir}/applications/

install -m755 %{SOURCE0} %{buildroot}%{_bindir}/
install -m644 %{SOURCE1} %{buildroot}%{_datadir}/polkit-1/actions/
install -m755 %{SOURCE2} %{buildroot}%{_datadir}/join-to-domain/
install -m644 %{SOURCE3} %{buildroot}%{_datadir}/applications/

ln -sr %{buildroot}%{_bindir}/join-to-domain.sh %{buildroot}%{_bindir}/JoinToDomain

%files
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/form-join-to-domain.py
%{_datadir}/applications/join-to-domain.desktop

%files cli
%{_bindir}/JoinToDomain
%{_bindir}/join-to-domain.sh
%{_datadir}/polkit-1/actions/ru.msvsphere.join-to-domain.policy

%changelog
* Fri Apr 05 2024 Arkady L. Shane <ashejn@msvsphere.ru> - 0.6.6-1
- Rebuilt for MSVSphere 9.2

* Fri Apr  5 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.6.6-1
- Initial build
